WordPress.org

Ready to get started?Download WordPress

Forums

Multisite Language Switcher
[resolved] [closed] Keeps asking me to upgrade (7 posts)

  1. bwooster47
    Member
    Posted 9 months ago #

    Even though I've already upgraded to 3.7.1. I get repeated messages at the top of the admin pages:
    WordPress 3.7.1 is available! Please update now.
    And when I click on that, it says is it all upgraded.
    I've used Network Admin -> Dashboard, and clicked on Updates -> Available Updates where it always says:
    You have the latest version of WordPress. Future security updates will be applied automatically.

    So at that point, the system knows it has been upgraded. Not sure why every hour or so, it "forgets" that and both my sites, using the multi-site language plugin, end up reporting that it is out of date.

    Not sure if this is a core WordPress problem, or related to multi-site language switcher. Seems like a WordPress issue, but just in case other MultiSite Language Switcher users have seen this, and know how to fix this, asking this question here...

    http://wordpress.org/plugins/multisite-language-switcher/

  2. realloc
    Member
    Plugin Author

    Posted 9 months ago #

    This is an interesting problem but I'm sure it has nothing to do with the Multsite Language Switcher. You should ask in the main forum what can cause such a behaviour of the WordPress-updater.

  3. bwooster47
    Member
    Posted 9 months ago #

    I think that sounds right - closing this issue in this forum.

  4. David_Gomery
    Member
    Posted 9 months ago #

    I too am having this problem, and only since installing the multisite language switcher today, so it must be caused by this.

  5. realloc
    Member
    Plugin Author

    Posted 9 months ago #

    Please open a new thread and describe your setup a little bit. Plugins, theme, hoster ... just in this way I can try to help you.

  6. bwooster47
    Member
    Posted 9 months ago #

    For references, I created a post in the general forum - no resolution yet:
    keeps asking to upgrade

    I just need to find a way to suppress the buggy code in WordPress - they have two routines that report "ready for upgrade", and one of them is buggy and keeps crying wolf - while the other one correctly knows that there is nothing to upgrade.
    The update-nag class is incorrectly generated it seems, while actually clicking on "Check Again" correctly reports everything is fine.

  7. realloc
    Member
    Plugin Author

    Posted 9 months ago #

    Very interesting. Thanks for sharing.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.